package org.xdoclet.plugin.struts.qtags;

public class StrutsFormTagImpl extends org.xdoclet.XDocletTag implements org.xdoclet.plugin.struts.qtags.StrutsFormTag {
    public static final String NAME = "struts.form";
    private static final java.util.List ALLOWED_PARAMETERS = java.util.Arrays.asList( new String[] {
		"name",
		"extends",
		"implements",
		"include-pk",
		"include-all",
    	""
    });
    
    private static final java.util.List ALLOWED_VALUES = java.util.Arrays.asList( new String[] {
        ""
    });
    public StrutsFormTagImpl(String name, String value, com.thoughtworks.qdox.model.AbstractBaseJavaEntity entity, int lineNumber, org.xdoclet.QDoxPropertyExpander expander) {
        super(name, value, entity, lineNumber, expander);
    }
    public StrutsFormTagImpl(String name, String value, com.thoughtworks.qdox.model.AbstractBaseJavaEntity entity, int lineNumber) {
        super(name, value, entity, lineNumber);
    }

    public java.lang.String getName_() {
		boolean required = true;
        String result = getNamedParameter("name");
        if(required && result == null) {
            bomb("name=\"???\" must be specified.");
        }

		java.lang.String retVal = null;


		if (result != null) {
	            retVal = result;
		}
		
		return retVal;
    }
    public java.lang.String getExtends() {
		boolean required = false;
        String result = getNamedParameter("extends");
        if(required && result == null) {
            bomb("extends=\"???\" must be specified.");
        }

		java.lang.String retVal = null;


		if (result != null) {
	            retVal = result;
		}
		
		return retVal;
    }
    public java.lang.String getImplements() {
		boolean required = false;
        String result = getNamedParameter("implements");
        if(required && result == null) {
            bomb("implements=\"???\" must be specified.");
        }

		java.lang.String retVal = null;


		if (result != null) {
	            retVal = result;
		}
		
		return retVal;
    }
    public java.lang.Boolean getIncludePk() {
		boolean required = false;
        String result = getNamedParameter("include-pk");
        if(required && result == null) {
            bomb("include-pk=\"???\" must be specified.");
        }

		java.lang.Boolean retVal = null;

        if(result == null) {
            result = "true";
        }

		if (result != null) {
		        retVal = Boolean.valueOf(result);
		}
		
		return retVal;
    }
    public java.lang.Boolean getIncludeAll() {
		boolean required = false;
        String result = getNamedParameter("include-all");
        if(required && result == null) {
            bomb("include-all=\"???\" must be specified.");
        }

		java.lang.Boolean retVal = null;

        if(result == null) {
            result = "false";
        }

		if (result != null) {
		        retVal = Boolean.valueOf(result);
		}
		
		return retVal;
    }

    protected void validateLocation() {
        if(isOnField) {
            bomb("is not allowed on fields");
        }
		if(isOnConstructor) {
        	bomb("is not allowed on constructors");
		}
		if(isOnMethod) {
        	bomb("is not allowed on methods");
		}
        
        // check uniqueness

        // warn deprecation
        
        // check for allowed values for whole tag
        if( ALLOWED_VALUES.size() > 1 && !ALLOWED_VALUES.contains(getValue())) {
            bomb( "\"" + getValue() +"\" is not a valid value. Allowed values are ");
        }        
        // Verify that all parameters are known.
        final java.util.Collection parameterNames = getNamedParameterMap().keySet();
        for (java.util.Iterator iterator = parameterNames.iterator(); iterator.hasNext();) {
            String parameterName = (String) iterator.next();
            if (!ALLOWED_PARAMETERS.contains(parameterName)) {
                bomb(parameterName + " is an invalid parameter name.");
            }
        }
        
        // Get all the parameters to validate their contents
        getName_();
        getExtends();
        getImplements();
        getIncludePk();
        getIncludeAll();
    }

    public void validateModel() {
        // check uniqueness
    }
}