package org.xdoclet.plugin.struts.qtags;

import org.generama.MetadataProvider;

public class TagLibrary {
    public static final String STRUTS_ACTION_EXCEPTION = StrutsActionExceptionTagImpl.NAME;
    public static final String STRUTS_ACTION_FORWARD = StrutsActionForwardTagImpl.NAME;
    public static final String STRUTS_ACTION_SET_PROPERTY = StrutsActionSetPropertyTagImpl.NAME;
    public static final String STRUTS_ACTION = StrutsActionTagImpl.NAME;
    public static final String STRUTS_DYNAFORM_FIELD = StrutsDynaformFieldTagImpl.NAME;
    public static final String STRUTS_DYNAFORM = StrutsDynaformTagImpl.NAME;
    public static final String STRUTS_FORM_FIELD = StrutsFormFieldTagImpl.NAME;
    public static final String STRUTS_FORM = StrutsFormTagImpl.NAME;
    public static final String STRUTS_TILES_PUT = StrutsTilesPutTagImpl.NAME;
    public static final String STRUTS_TILES = StrutsTilesTagImpl.NAME;
    public static final String STRUTS_VALIDATOR_ARGS = StrutsValidatorArgsTagImpl.NAME;
    public static final String STRUTS_VALIDATOR = StrutsValidatorTagImpl.NAME;
    public static final String STRUTS_VALIDATOR_VAR = StrutsValidatorVarTagImpl.NAME;

    public TagLibrary(MetadataProvider metadataProvider) {
        metadataProvider.getDocletTagFactory().registerTag(StrutsActionExceptionTagImpl.NAME, StrutsActionExceptionTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(StrutsActionForwardTagImpl.NAME, StrutsActionForwardTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(StrutsActionSetPropertyTagImpl.NAME, StrutsActionSetPropertyTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(StrutsActionTagImpl.NAME, StrutsActionTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(StrutsDynaformFieldTagImpl.NAME, StrutsDynaformFieldTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(StrutsDynaformTagImpl.NAME, StrutsDynaformTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(StrutsFormFieldTagImpl.NAME, StrutsFormFieldTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(StrutsFormTagImpl.NAME, StrutsFormTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(StrutsTilesPutTagImpl.NAME, StrutsTilesPutTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(StrutsTilesTagImpl.NAME, StrutsTilesTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(StrutsValidatorArgsTagImpl.NAME, StrutsValidatorArgsTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(StrutsValidatorTagImpl.NAME, StrutsValidatorTagImpl.class);
        metadataProvider.getDocletTagFactory().registerTag(StrutsValidatorVarTagImpl.NAME, StrutsValidatorVarTagImpl.class);
    }
}
