package org.xdoclet.plugin.struts.qtags;

public class StrutsActionTagImpl extends org.xdoclet.XDocletTag implements org.xdoclet.plugin.struts.qtags.StrutsActionTag {
    public static final String NAME = "struts.action";
    private static final java.util.List ALLOWED_PARAMETERS = java.util.Arrays.asList( new String[] {
		"name",
		"type",
		"path",
		"scope",
		"input",
		"roles",
		"validate",
		"parameter",
		"unknown",
    	""
    });
    
    private static final java.util.List ALLOWED_VALUES = java.util.Arrays.asList( new String[] {
        ""
    });
    public StrutsActionTagImpl(String name, String value, com.thoughtworks.qdox.model.AbstractBaseJavaEntity entity, int lineNumber, org.xdoclet.QDoxPropertyExpander expander) {
        super(name, value, entity, lineNumber, expander);
    }
    public StrutsActionTagImpl(String name, String value, com.thoughtworks.qdox.model.AbstractBaseJavaEntity entity, int lineNumber) {
        super(name, value, entity, lineNumber);
    }

    public java.lang.String getName_() {
		boolean required = false;
        String result = getNamedParameter("name");
        if(required && result == null) {
            bomb("name=\"???\" must be specified.");
        }

		java.lang.String retVal = null;


		if (result != null) {
	            retVal = result;
		}
		
		return retVal;
    }
    public java.lang.String getType() {
		boolean required = false;
        String result = getNamedParameter("type");
        if(required && result == null) {
            bomb("type=\"???\" must be specified.");
        }

		java.lang.String retVal = null;


		if (result != null) {
	            retVal = result;
		}
		
		return retVal;
    }
    public java.lang.String getPath() {
		boolean required = true;
        String result = getNamedParameter("path");
        if(required && result == null) {
            bomb("path=\"???\" must be specified.");
        }

		java.lang.String retVal = null;


		if (result != null) {
	            retVal = result;
		}
		
		return retVal;
    }
    public java.lang.String getScope() {
		boolean required = false;
        String result = getNamedParameter("scope");
        if(required && result == null) {
            bomb("scope=\"???\" must be specified.");
        }

		java.lang.String retVal = null;

        if(result == null) {
            result = "request";
        }

		if (result != null) {
	            if( !(false || result.equals("request")|| result.equals("session")|| result.equals("application")) ) {
	                // todo we should say what file and line number too
	                bomb("scope=\"" + result + "\" is an invalid parameter value.");
	            }
	            retVal = result;
		}
		
		return retVal;
    }
    public java.lang.String getInput() {
		boolean required = false;
        String result = getNamedParameter("input");
        if(required && result == null) {
            bomb("input=\"???\" must be specified.");
        }

		java.lang.String retVal = null;


		if (result != null) {
	            retVal = result;
		}
		
		return retVal;
    }
    public java.lang.String getRoles() {
		boolean required = false;
        String result = getNamedParameter("roles");
        if(required && result == null) {
            bomb("roles=\"???\" must be specified.");
        }

		java.lang.String retVal = null;


		if (result != null) {
	            retVal = result;
		}
		
		return retVal;
    }
    public java.lang.Boolean getValidate() {
		boolean required = false;
        String result = getNamedParameter("validate");
        if(required && result == null) {
            bomb("validate=\"???\" must be specified.");
        }

		java.lang.Boolean retVal = null;

        if(result == null) {
            result = "true";
        }

		if (result != null) {
		        retVal = Boolean.valueOf(result);
		}
		
		return retVal;
    }
    public java.lang.String getParameter() {
		boolean required = false;
        String result = getNamedParameter("parameter");
        if(required && result == null) {
            bomb("parameter=\"???\" must be specified.");
        }

		java.lang.String retVal = null;


		if (result != null) {
	            retVal = result;
		}
		
		return retVal;
    }
    public java.lang.String getUnknown() {
		boolean required = false;
        String result = getNamedParameter("unknown");
        if(required && result == null) {
            bomb("unknown=\"???\" must be specified.");
        }

		java.lang.String retVal = null;


		if (result != null) {
	            retVal = result;
		}
		
		return retVal;
    }

    protected void validateLocation() {
        if(isOnField) {
            bomb("is not allowed on fields");
        }
		if(isOnConstructor) {
        	bomb("is not allowed on constructors");
		}
		if(isOnMethod) {
        	bomb("is not allowed on methods");
		}
        
        // check uniqueness

        // warn deprecation
        
        // check for allowed values for whole tag
        if( ALLOWED_VALUES.size() > 1 && !ALLOWED_VALUES.contains(getValue())) {
            bomb( "\"" + getValue() +"\" is not a valid value. Allowed values are ");
        }        
        // Verify that all parameters are known.
        final java.util.Collection parameterNames = getNamedParameterMap().keySet();
        for (java.util.Iterator iterator = parameterNames.iterator(); iterator.hasNext();) {
            String parameterName = (String) iterator.next();
            if (!ALLOWED_PARAMETERS.contains(parameterName)) {
                bomb(parameterName + " is an invalid parameter name.");
            }
        }
        
        // Get all the parameters to validate their contents
        getName_();
        getType();
        getPath();
        getScope();
        getInput();
        getRoles();
        getValidate();
        getParameter();
        getUnknown();
    }

    public void validateModel() {
        // check uniqueness
    }
}